org.apache.felix.ipojo.composite

## Class CompositeHandler

- java.lang.Object
- - org.apache.felix.ipojo.Handler
  - - org.apache.felix.ipojo.composite.CompositeHandler

Direct Known Subclasses:
  ArchitectureHandler, InstanceHandler, ProvidedServiceHandler, ServiceDependencyHandler

    public abstract class CompositeHandler
    extends Handler

Composite Handler Abstract Class. An composite handler need implements these method to be notified of lifecycle change...

Author:
  Felix Project Team

### Field Summary

Fields
`static java.lang.String` `HANDLER_TYPE` Composite Handler type.

### Fields inherited from class org.apache.felix.ipojo.Handler

`HANDLER_LEVEL_PROPERTY, HANDLER_NAME_PROPERTY, HANDLER_NAMESPACE_PROPERTY, HANDLER_TYPE_PROPERTY, m_instance, m_isValid`

### Constructor Summary

Constructors
Constructor and Description
`CompositeHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `attach(ComponentInstance instance)` Sets the manager.
`CompositeManager` `getCompositeManager()`
`Handler` `getHandler(java.lang.String name)` Get a plugged handler of the same container.
`Logger` `getLogger()`
`void` `setFactory(Factory factory)`

### Methods inherited from class org.apache.felix.ipojo.Handler

`configure, debug, error, error, getDescription, getHandlerManager, getValidity, info, initializeComponentFactory, isValid, reconfigure, setValidity, start, stateChanged, stop, warn, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HANDLER_TYPE

    public static final java.lang.String HANDLER_TYPE

Composite Handler type.

See Also:
  Constant Field Values

### Constructor Detail

#### CompositeHandler

    public CompositeHandler()

### Method Detail

#### attach

    protected void attach(ComponentInstance instance)

Sets the manager. This method must be called only once, and should not be overridden.

Specified by:
  `attach` in class `Handler`
Parameters:
  `instance` - : the composite manager.

#### setFactory

    public final void setFactory(Factory factory)

Specified by:
  `setFactory` in class `Handler`

#### getLogger

    public final Logger getLogger()

Specified by:
  `getLogger` in class `Handler`

#### getCompositeManager

    public final CompositeManager getCompositeManager()

#### getHandler

    public final Handler getHandler(java.lang.String name)

Get a plugged handler of the same container. This method must be call only in the start method (or after). In the configure method, this method can not return a consistent result as all handlers are not plugged.

Specified by:
  `getHandler` in class `Handler`
Parameters:
  `name` - : name of the handler to find (class name).
Returns:
  the composite handler object or null if the handler is not found.